| Kea 3.0.2-git

crypto_hmac.cc File Reference
`#include <config.h>`
`#include <cryptolink.h>`
`#include <cryptolink/crypto_hmac.h>`
`#include <boost/scoped_ptr.hpp>`
`#include <cstring>`
Include dependency graph for crypto_hmac.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::cryptolink

## Functions
void | isc::cryptolink::deleteHMAC (HMAC *hmac)
| Delete an HMAC object.
void | isc::cryptolink::signHMAC (const void *data, const size_t data_len, const void *secret, size_t secret_len, const HashAlgorithm hash_algorithm, isc::util::OutputBuffer &result, size_t len=0)
| Create an HMAC signature for the given data.
bool | isc::cryptolink::verifyHMAC (const void *data, const size_t data_len, const void *secret, size_t secret_len, const HashAlgorithm hash_algorithm, const void *sig, const size_t sig_len)
| Verify an HMAC signature for the given data.